Loading...
Searching...
No Matches
Opm::BlackoilNewtonParams< Scalar > Struct Template Reference

Struct holding the parameters for BlackoilNewtonMethod. More...

`#include <blackoilnewtonmethodparams.hpp>`

## Public Member Functions

void | read ()
| Reads the parameter values from the parameter system.

## Static Public Member Functions

static void | registerParameters ()
| Registers the parameters in parameter system.

## Public Attributes

Scalar | priVarOscilationThreshold_
Scalar | waterSaturationMax_
Scalar | waterOnlyThreshold_
Scalar | dpMaxRel_
Scalar | dsMax_
bool | projectSaturations_
Scalar | maxTempChange_
Scalar | tempMax_
Scalar | tempMin_
Scalar | pressMax_
Scalar | pressMin_

## Detailed Description

template<class Scalar>
struct Opm::BlackoilNewtonParams< Scalar >

Struct holding the parameters for BlackoilNewtonMethod.

The documentation for this struct was generated from the following files:

- opm/models/blackoil/blackoilnewtonmethodparams.hpp
- opm/models/blackoil/blackoilnewtonmethodparams.cpp